#ifndef _ARIA_H_
#define _ARIA_H_

typedef unsigned char Byte;
typedef unsigned int  Word;

#ifdef __cplusplus
extern "C" {
#endif
  
void aria_Crypt(const Byte *i, int Nr, const Byte *rk, Byte *o);

int aria_EncKeySetup(const Byte *mk, Byte *rk, int keyBits);
int aria_DecKeySetup(const Byte *mk, Byte *rk, int keyBits);

#ifdef __cplusplus
}
#endif

#endif
